Retrieve invitation by ID

Retrieves invitation details by invitation ID.

GET
/v2/manage/invitations/{invitationid}

Retrieves invitation details by invitation ID.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

invitationid*string

The ID of the invitation. The ID is typically in the format inv_<unique_id>, where <unique_id> is a string of alphanumeric characters.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/invitations/inv_123456789"
{
  "Id": "inv_123456789",
  "EmailId": "user@example.com",
  "Status": "invited",
  "RoleIds": [
    "role_12345",
    "role_56789"
  ],
  "OrgId": "org_123456789",
  "CreatedDate": "2023-01-01T00:00:00Z",
  "ExpirationDate": "2023-01-01T00:00:00Z",
  "ModifiedDate": "2023-01-01T00:00:00Z",
  "InviterUid": "123456789"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The invitation id is required."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 8169,
  "Message": "Invitation not found",
  "Description": "Invitation not found, Please provide valid invitation id."
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}